Skip to main content
Manage the badges in your community. Each badge is for either content or users. To give a badge to a piece of content or a user, see Badge assignments. Before you start, read the API overview for how authentication, headers, pagination and errors work.

List badges

Return the badges in your community.
integer
The page of results to return.
integer
default:20
The number of results to return per page.
string
A search term to reduce the number of results. Matches the badge text.
string
Only return badges of this type. Accepts Content or User.
List badges
GET https://your-community.zapnito.com/api/v1/badges

Get a badge

Return a single badge.
string
required
The ID of the badge.
Get a badge
GET https://your-community.zapnito.com/api/v1/badges/:id

Create a badge

Create a new badge.
string
The type of record the badge is for. Accepts Content or User.
string
required
The text displayed on the badge.
string
required
The hex code for the badge colour.
string
required
The hex code for the text colour.
string
The text displayed for the call to action.
string
The URL the call to action links to.
integer
The position of the badge in badge lists. Defaults to the end of the list.
string
The URL of the brand image. Note the remote_ prefix.
string
The URL of the brand logo. Note the remote_ prefix.
Create a badge
POST https://your-community.zapnito.com/api/v1/badges

Update a badge

Update an existing badge. Send only the attributes you want to change.
string
required
The ID of the badge.
string
The type of record the badge is for. Accepts Content or User.
string
The text displayed on the badge.
string
The hex code for the badge colour.
string
The hex code for the text colour.
string
The text displayed for the call to action.
string
The URL the call to action links to.
integer
The position of the badge in badge lists.
string
The URL of the brand image. Note the remote_ prefix.
string
The URL of the brand logo. Note the remote_ prefix.
Update a badge
PUT https://your-community.zapnito.com/api/v1/badges/:id

Delete a badge

Delete a badge.
string
required
The ID of the badge.
Delete a badge
DELETE https://your-community.zapnito.com/api/v1/badges/:id